## visad.bom
Class TCData

    java.lang.Object
      visad.bom.TCData

public class TCData
extends Object

Field Summary
`(package private) FieldImpl` `data`
`(package private) static FunctionType` `ftId2Disturbance`
`(package private) static FunctionType` `ftId2Track`
`(package private) static FunctionType` `locationFunction`
`(package private) static RealTupleType` `locationTuple`
`(package private) static FunctionType` `mtTC`
`(package private) static RealType` `rtArchiveMode`
`(package private) static RealType` `rtBaseDateTime`
`(package private) static RealType` `rtCategory`
`(package private) static RealType` `rtCentralPressure`
`(package private) static RealType` `rtCloseDate`
`(package private) static RealType` `rtConfidence`
`(package private) static RealType` `rtCreateDateTime`
`(package private) static RealType` `rtDepth`
`(package private) static RealType` `rtDisturbanceID`
`(package private) static RealType` `rtError`
`(package private) static RealType` `rtEyeDiameter`
`(package private) static RealType` `rtGaleRadius`
`(package private) static RealType` `rtHurricaneRadius`
`(package private) static RealType` `rtIntensityStyle`
`(package private) static RealType` `rtLat`
`(package private) static RealType` `rtLocationStyle`
`(package private) static RealType` `rtLon`
`(package private) static RealType` `rtNumber`
`(package private) static RealType` `rtOpenDate`
`(package private) static RealType` `rtPressureOfLastClosedIsobar`
`(package private) static RealType` `rtRadiusOfMaximumWinds`
`(package private) static RealType` `rtRealtimeMode`
`(package private) static RealType` `rtSizeStyle`
`(package private) static RealType` `rtStormRadius`
`(package private) static RealType` `rtStructureStyle`
`(package private) static RealType` `rtTime`
`(package private) static RealType` `rtTrackID`
`(package private) static RealType` `rtWindGust`
`(package private) static RealType` `rtWindMean`
`(package private) static RealType` `rtYear`
`(package private) static TextType` `ttCountry`
`(package private) static TupleType` `ttDisturbance`
`(package private) static TextType` `ttHistoricalName`
`(package private) static TextType` `ttState`
`(package private) static TupleType` `ttTrack`
`(package private) static TextType` `ttTrackName`
`(package private) static TextType` `ttTrackStyle`
`(package private) static TextType` `ttTrackType`

Constructor Summary
`TCData()`

Method Summary
`void` `addDisturbance(int disturbanceID, Tuple disturbance)`
`void` `addLocation(int disturbanceID, int trackID, double time, RealTuple location)`
`void` `addTrack(int disturbanceID, int trackID, Tuple track)`
`FieldImpl` `getData()`
`MathType` `getType()`
`static void` `main(String[] args)` create a bunch of "intensities" which are measurements of the intensity of a Tropical Cyclone at particular times input: arrays of times, ids, wind_means...
`static Tuple` `makeDisturbance(String country, String state, int year, int number, String historical_name, double open_date, double close_date, int archive_mode, int realtime_mode, FieldImpl tracks)`

`static FlatField`

`makeLocations(double[] times, float[] lats, float[] lons, float[] errors, int[] confidence, int[] location_styles, float[] wind_means, float[] wind_gusts, float[] central_pressures, int[] categories, int[] intensityStyle, float[] gale_radii, float[] storm_radii, float[] hurricane_radii, float[] radii_of_maximum_winds, int[] size_styles, float[] depth, float[] eyeDiameter, float[] pressureOfLastClosedIsobar, int[] structureStyle)`
jk: create a flatfield of Disturbance (Tropical Cyclone) Sizes with values set to "missing" This allows for the case when the database has no entries yet, but means we can still create some TCData

`static Tuple` `makeTrack(String track_type, String track_name, double base_date_time, double create_date_time, String display_type, FlatField locations)`
`static FieldImpl` `makeTrackField(int trackID, Tuple track)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    FieldImpl data

### rtTime

    static RealType rtTime

### rtConfidence

    static RealType rtConfidence

### rtLat

    static RealType rtLat

### rtLon

    static RealType rtLon

### rtError

    static RealType rtError

### rtLocationStyle

    static RealType rtLocationStyle

### locationTuple

    static RealTupleType locationTuple

### locationFunction

    static FunctionType locationFunction

### rtWindMean

    static RealType rtWindMean

### rtWindGust

    static RealType rtWindGust

### rtCentralPressure

    static RealType rtCentralPressure

### rtCategory

    static RealType rtCategory

### rtIntensityStyle

    static RealType rtIntensityStyle

### rtGaleRadius

    static RealType rtGaleRadius

### rtStormRadius

    static RealType rtStormRadius

### rtHurricaneRadius

    static RealType rtHurricaneRadius

### rtRadiusOfMaximumWinds

    static RealType rtRadiusOfMaximumWinds

### rtSizeStyle

    static RealType rtSizeStyle

### rtDepth

    static RealType rtDepth

### rtEyeDiameter

    static RealType rtEyeDiameter

### rtPressureOfLastClosedIsobar

    static RealType rtPressureOfLastClosedIsobar

### rtStructureStyle

    static RealType rtStructureStyle

### rtTrackID

    static RealType rtTrackID

### ttTrackType

    static TextType ttTrackType

### ttTrackName

    static TextType ttTrackName

### rtBaseDateTime

    static RealType rtBaseDateTime

### rtCreateDateTime

    static RealType rtCreateDateTime

### ttTrackStyle

    static TextType ttTrackStyle

### ttTrack

    static TupleType ttTrack

### ftId2Track

    static FunctionType ftId2Track

### rtDisturbanceID

    static RealType rtDisturbanceID

### ttCountry

    static TextType ttCountry

### ttState

    static TextType ttState

### rtYear

    static RealType rtYear

### rtNumber

    static RealType rtNumber

### ttHistoricalName

    static TextType ttHistoricalName

### rtOpenDate

    static RealType rtOpenDate

### rtCloseDate

    static RealType rtCloseDate

### rtArchiveMode

    static RealType rtArchiveMode

### rtRealtimeMode

    static RealType rtRealtimeMode

### ttDisturbance

    static TupleType ttDisturbance

### ftId2Disturbance

    static FunctionType ftId2Disturbance

### mtTC

    static FunctionType mtTC

Constructor Detail

### TCData

    public TCData()
           throws VisADException

Method Detail

### getData

    public FieldImpl getData()

### getType

    public MathType getType()

### addLocation

    public void addLocation(int disturbanceID,
                            int trackID,
                            double time,
                            RealTuple location)
                     throws VisADException,
                            RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### makeTrackField

    public static FieldImpl makeTrackField(int trackID,
                                           Tuple track)
                                    throws VisADException,
                                           RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### addTrack

    public void addTrack(int disturbanceID,
                         int trackID,
                         Tuple track)
                  throws VisADException,
                         RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### addDisturbance

    public void addDisturbance(int disturbanceID,
                               Tuple disturbance)
                        throws VisADException,
                               RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### makeDisturbance

    public static Tuple makeDisturbance(String country,
                                        String state,
                                        int year,
                                        int number,
                                        String historical_name,
                                        double open_date,
                                        double close_date,
                                        int archive_mode,
                                        int realtime_mode,
                                        FieldImpl tracks)
                                 throws VisADException,
                                        RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### makeTrack

    public static Tuple makeTrack(String track_type,
                                  String track_name,
                                  double base_date_time,
                                  double create_date_time,
                                  String display_type,
                                  FlatField locations)
                           throws VisADException,
                                  RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### makeLocations

    public static FlatField makeLocations(double[] times,
                                          float[] lats,
                                          float[] lons,
                                          float[] errors,
                                          int[] confidence,
                                          int[] location_styles,
                                          float[] wind_means,
                                          float[] wind_gusts,
                                          float[] central_pressures,
                                          int[] categories,
                                          int[] intensityStyle,
                                          float[] gale_radii,
                                          float[] storm_radii,
                                          float[] hurricane_radii,
                                          float[] radii_of_maximum_winds,
                                          int[] size_styles,
                                          float[] depth,
                                          float[] eyeDiameter,
                                          float[] pressureOfLastClosedIsobar,
                                          int[] structureStyle)
                                   throws VisADException,
                                          RemoteException

  jk: create a flatfield of Disturbance (Tropical Cyclone) Sizes with values set to "missing" This allows for the case when the database has no entries yet, but means we can still create some TCData

  Throws:
    `VisADException`
    `RemoteException`

### main

    public static void main(String[] args)
                     throws VisADException,
                            RemoteException

  create a bunch of "intensities" which are measurements of the intensity of a Tropical Cyclone at particular times input: arrays of times, ids, wind_means... output: a field of mathType intensityFunction, which is represented by: (time -> intensityTuple)

  Throws:
    `VisADException`
    `RemoteException`